curl https://api.thanxsandbox.com/partner/users/:id/communication_settings?merchant_id=owierywtwt \
-X PATCH \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
-d '{
"communication_setting": {
"reward_progress": {
"email": false
},
"reward_offer": {
"notification": false,
"email": false
},
"marketing_general": {
"email": false
}
}
}'
{
"communication_setting": {
"id": "weoruoisdhf",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woerushfwe",
"reward_progress": {
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"marketing_general": {
"email": true
}
}
}
Communication Settings
Update User's Communication Settings
This endpoint allows the update of a user’s notification / email settings for the specified merchant.
PATCH
/
partner
/
users
/
:id
/
communication_settings
curl https://api.thanxsandbox.com/partner/users/:id/communication_settings?merchant_id=owierywtwt \
-X PATCH \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
-d '{
"communication_setting": {
"reward_progress": {
"email": false
},
"reward_offer": {
"notification": false,
"email": false
},
"marketing_general": {
"email": false
}
}
}'
{
"communication_setting": {
"id": "weoruoisdhf",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woerushfwe",
"reward_progress": {
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"marketing_general": {
"email": true
}
}
}
Scopes:
users.write, communication_settings.writeParameters
string
required
User ID
string
required
Merchant ID
hash
hash
Settings for when a merchant sends general marketing
Show marketing_general
Show marketing_general
boolean
email setting
Response
string
The ID of the settings record
string
The ID of the merchant
string
The handle of the merchant
string
The ID of the user
hash
hash
Settings for when a merchant sends general marketing
Show marketing_general
Show marketing_general
boolean
email setting
curl https://api.thanxsandbox.com/partner/users/:id/communication_settings?merchant_id=owierywtwt \
-X PATCH \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
-d '{
"communication_setting": {
"reward_progress": {
"email": false
},
"reward_offer": {
"notification": false,
"email": false
},
"marketing_general": {
"email": false
}
}
}'
{
"communication_setting": {
"id": "weoruoisdhf",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woerushfwe",
"reward_progress": {
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"marketing_general": {
"email": true
}
}
}